<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CompanyPositionInfo](./bitburner.companypositioninfo.md)

## CompanyPositionInfo interface

Company position requirements and salary.

**Signature:**

```typescript
export interface CompanyPositionInfo 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[field](./bitburner.companypositioninfo.field.md)


</td><td>


</td><td>

[JobField](./bitburner.jobfield.md)


</td><td>


</td></tr>
<tr><td>

[name](./bitburner.companypositioninfo.name.md)


</td><td>


</td><td>

[JobName](./bitburner.jobname.md)


</td><td>


</td></tr>
<tr><td>

[nextPosition](./bitburner.companypositioninfo.nextposition.md)


</td><td>


</td><td>

[JobName](./bitburner.jobname.md) \| null


</td><td>


</td></tr>
<tr><td>

[requiredReputation](./bitburner.companypositioninfo.requiredreputation.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[requiredSkills](./bitburner.companypositioninfo.requiredskills.md)


</td><td>


</td><td>

[Skills](./bitburner.skills.md)


</td><td>


</td></tr>
<tr><td>

[salary](./bitburner.companypositioninfo.salary.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
</tbody></table>

